<template>
  <div class="wallet-balance">
    <div class="wallet-balance__left">
      <div class="wallet-balance__title">{{ $t('balance') }}</div>
      <div class="wallet-balance__token">{{ balance }}$</div>
    </div>
    <div class="wallet-balance__right">
      <div class="wallet-balance__icon"><svg-icon name="wallet" /></div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, computed } from '@nuxtjs/composition-api'

export default defineComponent({
  name: 'WalletBalance',
  setup(_, { root: { $accessor } }) {
    const balance = computed(() => $accessor.wallet.wallet?.balance || 0)
    return { balance }
  }
})
</script>

<style lang="scss" scoped>
.wallet {
  &-balance {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0 -8px 25px -8px;
    padding: 12px 16px;
    background: #272c3b;
    border-radius: 3px;

    &__left {
      flex: 1;
    }
    &__right {
      flex: none;
      margin-left: 20px;
    }
    &__title {
      font-size: 24px;
      line-height: 30px;
      color: rgba(#fff, 0.5);
      font-weight: bold;
      text-transform: lowercase;
    }
    &__token {
      font-size: 45px;
      line-height: 45px;
      font-weight: bold;
      letter-spacing: -1.13px;
      color: #ffffff;
    }
    &__icon {
      width: 65px;
      height: 65px;
      background: #0065ff;
      box-shadow: 0px 3px 6px #00000029;
      border-radius: 5px;
      display: flex;
      align-items: center;
      justify-content: center;
      font-size: 0px;
      svg {
        fill: #fff;
        width: 32px;
        height: 32px;
      }
    }
  }
}

@media (min-width: 1199.98px) {
  .wallet {
    &-balance {
      margin: 0 0 60px 0;
      padding: 25px 30px;
      &__title {
        margin-bottom: 5px;
      }
      &__token {
        font-size: 55px;
        line-height: 55px;
        letter-spacing: -1.38px;
      }
    }
  }
}
</style>
